apiVersion: apps/v1
kind: Deployment
metadata:
  name: frames-delivery
  labels:
    app: frames-delivery
spec:
  replicas: 1 # Número de réplicas/pods deseados
  selector:
    matchLabels:
      app: frames-delivery
  template:
    metadata:
      labels:
        app: frames-delivery
    spec:
      containers:
        - name: frames-delivery-container
          image: williamsoft/frames-delivery
          imagePullPolicy: Always
          ports:
            - containerPort: 80 # Puerto en el que escucha la aplicación
          resources:
            requests:
              memory: "100Mi" # Recursos mínimos requeridos
              cpu: "25m"
            # limits:
            #   memory: "2000Mi" # Recursos máximos permitidos
            #   cpu: "250m"
          volumeMounts:
            - mountPath: /uploads
              name: frames-delivery-pvc
            - name: secret-volume
              readOnly: true
              mountPath: "/etc/secret-volume"
      volumes:
      - name: frames-delivery-pvc
        persistentVolumeClaim:
          claimName: podpvc
          readOnly: false
      - name: secret-volume
        secret:
          secretName: gcp-service-account        
